# -*- encoding: utf-8 -*-
# stub: bourne 1.6.0 ruby lib

Gem::Specification.new do |s|
  s.name = "bourne"
  s.version = "1.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Joe Ferris"]
  s.date = "2014-11-20"
  s.description = "Extends mocha to allow detailed tracking and querying of\n    stub and mock invocations. Allows test spies using the have_received rspec\n    matcher and assert_received for Test::Unit. Extracted from the\n    jferris-mocha fork."
  s.email = "jferris@thoughtbot.com"
  s.files = [".gitignore", ".travis.yml", "Gemfile", "LICENSE", "NEWS.md", "README.md", "Rakefile", "bourne.gemspec", "lib/bourne.rb", "lib/bourne/api.rb", "lib/bourne/invocation.rb", "lib/bourne/mock.rb", "lib/bourne/mockery.rb", "lib/bourne/version.rb", "test/acceptance/acceptance_test_helper.rb", "test/acceptance/mocha_example_test.rb", "test/acceptance/spy_test.rb", "test/acceptance/stubba_example_test.rb", "test/execution_point.rb", "test/matcher_helpers.rb", "test/method_definer.rb", "test/mini_test_result.rb", "test/simple_counter.rb", "test/test_helper.rb", "test/test_runner.rb", "test/unit/assert_received_test.rb", "test/unit/have_received_test.rb", "test/unit/invocation_test.rb", "test/unit/mock_test.rb", "test/unit/mockery_test.rb"]
  s.homepage = "http://github.com/thoughtbot/bourne"
  s.rubygems_version = "2.4.5.1"
  s.summary = "Adds test spies to mocha."
  s.test_files = ["test/acceptance/acceptance_test_helper.rb", "test/acceptance/mocha_example_test.rb", "test/acceptance/spy_test.rb", "test/acceptance/stubba_example_test.rb", "test/execution_point.rb", "test/matcher_helpers.rb", "test/method_definer.rb", "test/mini_test_result.rb", "test/simple_counter.rb", "test/test_helper.rb", "test/test_runner.rb", "test/unit/assert_received_test.rb", "test/unit/have_received_test.rb", "test/unit/invocation_test.rb", "test/unit/mock_test.rb", "test/unit/mockery_test.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mocha>, ["~> 1.1"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<mocha>, ["~> 1.1"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<mocha>, ["~> 1.1"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
